/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 26-08-22 */
/* file     -> start-slider-09 */
/* colors   -> #EE741D | rgba(238,116,29) | hsla(25,86%,53%) */
/* ------------------------------------------------------------------------------ */
/* link     -> https://codepen.io/semenchenko/pen/vYQzNV */
/* info     -> image-slider and preview of thumb images */
/* ------------------------------------------------------------------------------ */
/* ROOT and VARIBLES */
:root {
	--hover-bgr:hsla(210,100%,56%,1);
    
    /* cards */
    --card-front-col: rgba(0,0,0,.6); /* black, gray OR client-color */
    --card-front-bgr: #fff;
    --card-back-col: #fff;
    --card-back-bgr: #EE741D;
    --card-ibox-hgt: 14rem;         /* min-height of the card - depends of the text card-back - def 14rem */
    --card-body-bdr: 1px solid rgba(0,0,0,.05);     /* border - def 1px */
    /* grid-area */
    --grid-area-gap: 1rem;          /* gap between flipboxes - def 1rem | min .3rem - check used shadow */
    --grid-area-pad: 1rem;          /* padding - check card-border-radius - def 1rem | min .3rem */
    --grid-area-bgr: none;          /* background - def none */
    --grid-area-bdr: 0px solid rgba(0,0,0,.25);     /* border - def 0px  */
    --grid-area-rad: 0rem;          /* border-radius - def 0rem */
    /* counter - card-front */ 
    --count-color: #fff;         /* color of the counter - must be the same as card-back-background AND no transparent */
    --count-size: 4rem;             /* counter size - def 4rem */
    --count-pos-top: 1.2rem;         /* counte rposition top - def 1rem */
    --count-pos-right: 1rem;      /* counter position right - def 1.2rem */
    --count-pos-bottom: 0.2rem;     /* counter position bottom - NOT IN USE */ 
    --count-width: 2px;             /* counter stroke - def 1px | max 3px */
    /* animation */
    --time-flip: 0.8s;              /* def 0.8s */
	}

/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 26-08-22 */
/* IMAGE-SLIDER */
/* RESET COUNTER -> SEE design.css */

/*
body {
  font-family: 'Montserrat', Helvetica, Arial, sans-serif;
  font-size: 1rem; 
  line-height: 1.5rem;
  font-weight: 400;
  color: #fff;
  background: #374046;
}
*/
/* ----> wrapper */
#content-slider .slider-wrap {
    position:relative;
    max-width: 1200px;
    width: 100%;
    margin:0 auto;
    text-align:right;
    }

#content-slider .slider-wrap.full {
    width: 100%;
    max-width: 100%;
    border:none;
    text-align:center; 
    }


/* --------> link style */
#content-slider *:focus {
    outline:0;
    } 

#content-slider a:hover {
  color: #7FD4FD;
  text-decoration: underline;
    }

#content-slider a:focus {
  outline: thin dotted #333;
  outline: 5px auto -webkit-focus-ring-color;
  outline-offset: -2px;
}

#content-slider a:hover,
#content-slider a:active {
  outline: 0;
}

/* -------> responsive images (ensure images don't scale beyond their parents) */
#content-slider img {
  width: 100%; /* do not change */
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  vertical-align: middle;
  border: 0;
}

/* -------> main */
#content-slider .slider {
  overflow: hidden;
  width: 100%;
  height: 35rem;
  margin: 0 auto;       

  position: relative;               
}

#content-slider .slider-inner {
    display: flex;
    width: 500%; 
    height: 100%;
    line-height: 0;
    animation: 30s slidy infinite;
    transition: all 2s ease-in-out; 
    }

#content-slider .slider-main-title {
  text-align: center;
  font-weight: 700;
  font-size: 2rem;          
  line-height: 3rem;
  text-transform: uppercase;
  margin: 1rem 0;
}

#content-slider .slider .slider-head {
  position: absolute;
  z-index: 12;
  width: 40%;
  height: auto;
  display: inline-block;
  background: rgba(0, 0, 0, 0.5);
  padding: 1rem 1rem;
  margin: 1rem 0 0 1rem;
  overflow: hidden;
  transition: all 0.5s ease-in-out; 
}

/* thumb - info description */
#content-slider .slider-thumb .slider-head {
    position:absolute;
    display:block;
    top:0;
    right:0;
    width:auto;
    height:auto;
    margin: .2rem .2rem 0 0;
    padding: .4rem;
    text-align: right;
    background: rgba(0,0,0,.25);
    opacity: 1;
    overflow:hidden;
    transition:all 0.5s ease-in-out;
    z-index:12;
}

/* -------> article */
#content-slider .slider h2,
#content-slider .slider-thumb h2 {
  color: #fff;
  text-transform: uppercase;
  padding: 0;
  margin: 0;
  font-weight: 700;
  line-height: 1.2;
}

#content-slider .slider p,
#content-slider .slider-thumb p {
  color: #fffefe;
  padding: 0;
  margin: 0 0 1rem;
  opacity: .8;
  line-height: 1.2;
}

#content-slider .slider a,
#content-slider .slider-thumb a {
  font-weight: 700;
  color: #00ABFA;
  text-decoration: none;
  line-height: 1.2;
}

/* -------> article img-slider */
#content-slider .slider h1 { font-size: 1.5rem; line-height: 1.2; }

#content-slider .slider p { font-size: 1.2rem; line-height: 1.2; }

#content-slider .slider a { font-size: 1rem; line-height: 1.2; }

/* -------> article img-preview */
#content-slider .slider-thumb h2 { font-size: 1rem; line-height: 1.2; }

#content-slider .slider-thumb p { font-size: .875rem; line-height: 1.2; }

#content-slider .slider-thumb a { font-size: .75rem; line-height: 1.2; }


/* -------> main image */
#content-slider figure {
  margin: 0;
  padding: 0;
  width: 20%;
  cursor: pointer;
  transition: all 2s ease-in-out; 
}

#content-slider figure img {
  width: 100%;
  position: relative;
}   

/* -------> max contrls img preview */ 
#content-slider .slider-thumb {
    position:absolute;
    display:block;
    width: 25%;
    height: 35%;
    margin: 35rem 0% 0 0%;
    text-align: center;
    z-index: 1000;
    cursor: pointer;
    }

#content-slider .slider-thumb:after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: #000;
  opacity: .55;
  transition: all .2s ease-in-out;
}

#content-slider .slider-thumb:hover:after {
  opacity: 0;
}

#thumb-1 { left: 0; }
#thumb-2 { left: 25%; }
#thumb-3 { left: 50%; }
#thumb-4 { left: 75%; }

#content-slider input[type='radio'] {           
  width: 10px;
  height: 10px;
  position: absolute;
  display: none;
}

#content-slider .slider-arrow-control {                   
  position: absolute;
  left: 0;
  z-index: 15;          
  top: 0%;
  width: 100%;
  height: 3.125rem;
  top: 50%;
  transform: translateY(-50%);
}

#content-slider .slider-dot {
  width: 9px;
  height: 9px;
  margin: 0 2px;
  text-align: center;
  display: inline-block;
  position: relative;
  z-index: 1000;
  cursor: pointer;
  border-radius: 100%;
  border: 2px solid #00ABFA;
  background: #00ABFA;

  transition: all 0.3s ease-in-out; 
}

#content-slider .slider-dot-control {
  padding: 1rem 0;
  width: 100%;
  bottom: 0;
  z-index: 10;
  position: absolute;
  text-align: center;
  background: rgba(0, 0, 0, 0.7);
  font-size: 0;
  line-height: 0;
}   

#content-slider .slider-dot-control>label:hover { 
  width: 9px; 
  height: 9px; 
  background: #FFF; 
  border: 1px solid #00ABFA; 
}     


/* -------> controls */ 
#input-1:checked ~ .slider .slider-inner { margin-left: 0%;   }
#input-2:checked ~ .slider .slider-inner { margin-left:-100%; }
#input-3:checked ~ .slider .slider-inner { margin-left:-200%; }
#input-4:checked ~ .slider .slider-inner { margin-left:-300%; }
#input-5:checked ~ .slider .slider-inner { margin-left:-400%; }


#input-1:checked ~ .slider-dot-control>label:nth-child(1) { opacity: 1; background: #fff; }
#input-2:checked ~ .slider-dot-control>label:nth-child(2) { opacity: 1; background: #fff; }
#input-3:checked ~ .slider-dot-control>label:nth-child(3) { opacity: 1; background: #fff; }
#input-4:checked ~ .slider-dot-control>label:nth-child(4) { opacity: 1; background: #fff; }


#input-1:checked ~ #thumb-1:after { opacity: 0; }
#input-2:checked ~ #thumb-2:after { opacity: 0; }
#input-3:checked ~ #thumb-3:after { opacity: 0; }
#input-4:checked ~ #thumb-4:after { opacity: 0; }


.slider-arrow-control>label:nth-child(2) {
  width: 3.125rem;
  height: 3.125rem;
  top: 50%;
  margin-top: -1.5625rem;
  display: inline-block;
  position: relative;           
  cursor: pointer;
}

#input-1:checked ~ .slider-arrow-control>label:nth-child(2),
#input-2:checked ~ .slider-arrow-control>label:nth-child(3),
#input-3:checked ~ .slider-arrow-control>label:nth-child(4),
#input-4:checked ~ .slider-arrow-control>label:nth-child(1),
#input-5:checked ~ .slider-arrow-control>label:nth-child(1),
#input-1:checked ~ .slider-arrow-control>label:nth-child(4),
#input-2:checked ~ .slider-arrow-control>label:nth-child(1),
#input-3:checked ~ .slider-arrow-control>label:nth-child(2),
#input-4:checked ~ .slider-arrow-control>label:nth-child(3) {
  width: 3.125rem;
  height: 3.125rem;
  top: 50%;
  margin-top: -1.5625rem;
  display: inline-block;
  position: relative;           
  cursor: pointer;
}

#input-1:checked ~ .slider-arrow-control>label:nth-child(2):after,
#input-2:checked ~ .slider-arrow-control>label:nth-child(3):after,
#input-3:checked ~ .slider-arrow-control>label:nth-child(4):after,
#input-4:checked ~ .slider-arrow-control>label:nth-child(1):after,
#input-5:checked ~ .slider-arrow-control>label:nth-child(1):after,
#input-1:checked ~ .slider-arrow-control>label:nth-child(4):after,
#input-2:checked ~ .slider-arrow-control>label:nth-child(1):after,
#input-3:checked ~ .slider-arrow-control>label:nth-child(2):after,
#input-4:checked ~ .slider-arrow-control>label:nth-child(3):after {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  font-size: 2.125rem;
  line-height: 3.125rem;
  color: #00ABFA;
  position: absolute;
  top: 0;
  left: 0;
  text-align: center;
  width: 3.125rem;
  background: rgba(0,0,0,.5);
}

#input-1:checked ~ .slider-arrow-control>label:nth-child(2),  
#input-2:checked ~ .slider-arrow-control>label:nth-child(3), 
#input-3:checked ~ .slider-arrow-control>label:nth-child(4), 
#input-4:checked ~ .slider-arrow-control>label:nth-child(1) {       
  float: right;
  right: 0;                      
}

#input-1:checked ~ .slider-arrow-control>label:nth-child(2):after,  
#input-2:checked ~ .slider-arrow-control>label:nth-child(3):after, 
#input-3:checked ~ .slider-arrow-control>label:nth-child(4):after, 
#input-4:checked ~ .slider-arrow-control>label:nth-child(1):after {
  content: "\f054";                     
}

#input-1:checked ~ .slider-arrow-control>label:nth-child(4),
#input-2:checked ~ .slider-arrow-control>label:nth-child(1),
#input-3:checked ~ .slider-arrow-control>label:nth-child(2),
#input-4:checked ~ .slider-arrow-control>label:nth-child(3) {   
  float: left;
  left: 0;           
}

#input-1:checked ~ .slider-arrow-control>label:nth-child(4):after,
#input-2:checked ~ .slider-arrow-control>label:nth-child(1):after,
#input-3:checked ~ .slider-arrow-control>label:nth-child(2):after,
#input-4:checked ~ .slider-arrow-control>label:nth-child(3):after {
  content: "\f053";
}

/*#thumb-1:focus ~ .slider-inner { margin-left: 0%;   }
#thumb-2:focus ~ .slider-inner { margin-left:-100%; }
#thumb-3:focus ~ .slider-inner { margin-left:-200%; }
#thumb-4:focus ~ .slider-inner { margin-left:-300%; }
#thumb-5:focus ~ .slider-inner { margin-left:-400%; }*/

#content-slider input:checked ~ .slider-inner {
  animation: none;         
}
#content-slider input:hover ~ .slider-inner, 
#content-slider label:hover ~ .slider-inner {
  animation-play-state: paused;
}
#content-slider input:hover ~ .slider-inner, 
#content-slider label:hover ~ .slider-inner {
  animation-play-state: paused;
}
#content-slider span:focus ~ .slider-inner {
  animation: none;         
}
#content-slider span:hover ~ .slider-inner {
  animation-play-state: paused;
}


/* -------> animation - automatic*/
/* if activated - the thumb-click and arrows not working */
/*
@keyframes slidy {
20% { margin-left:    0%; }
25% { margin-left: -100%; }
45% { margin-left: -100%; }
50% { margin-left: -200%; }
70% { margin-left: -200%; }
75% { margin-left: -300%; }
95% { margin-left: -300%; }
100% { margin-left: -400%; }
}
/*

/* -------> responsive */
@media (max-width: 992px) {
  html {
    font-size: 12px;
  }

  #content-slider .slider-thumb .head {
    display: none;
  }
}

@media (max-width: 768px) {
  html {
    font-size: 10px;
  }

  #content-slider .slider .head {
    display: none;
  }

  #content-slider .slider-dot { display: none; }

  #content-slider .slider-arrow-control { display: block; }


  #content-slider #thumb-2:focus { opacity: 1; } 

  #thumb-2:focus ~ #thumb-5 { display: none; }

  #content-slider #thumb-3:focus { opacity: 1; } 

  #thumb-3:focus ~ #thumb-5 { display: none; }

  #content-slider #thumb-4:focus { opacity: 1; } 

  #thumb-4:focus ~ #thumb-5 { display: none; }

}

@media (max-width: 480px) {
  #content-slider .slider-thumb img { display: none; }
}

/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 21-08-22 */
/* css-counter postion background */
/* https://stackoverflow.com/questions/43514987/css-increasing-number-as-background-images-for-css */	
.no-show::before { 
	position:absolute;
    display:flex;
	/*top:var(--count-pos-top,1.2rem);*/
  	right:var(--count-pos-right,1.2rem);
  	bottom:var(--count-pos-bottom,0.6rem);
	justify-content:center;
    align-items:center;
    counter-increment:Element 1;
	content:counter(Element) '';
	font-size:var(--count-size,4rem); 
	font: 800 Arial;
	  -webkit-text-fill-color:transparent; /* works FF, Chrome and Edge */
	  -webkit-text-stroke:var(--count-width,1px);
	  -webkit-font-smoothing:antialiased;
	color:var(--count-color,#EE741D); /* must be the same color als card-back background */
    opacity:1;
	z-index:999;
	}
/* shadow */
/*
.shadow, .flex-item {
  box-shadow: 0 -1px 1px rgba(0, 0, 0, 0.04), 0 2px 2px rgba(0, 0, 0, 0.04), 0 4px 4px rgba(0, 0, 0, 0.04), 0 8px 8px rgba(0, 0, 0, 0.04), 0 16px 16px rgba(0, 0, 0, 0.04);
}
*/	
/* ------------------------------------------------------------------------------ */
/* END */	
/* ------------------------------------------------------------------------------ */